<?php

namespace Litecms\Person;

use User;

class Person
{
    /**
     * $person object.
     */
    protected $person;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Person\Interfaces\PersonRepositoryInterface $person)
    {
        $this->person = $person;
    }

    /**
     * Returns count of person.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.person.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->person->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\PersonUserCriteria());
        }

        $person = $this->person->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('person::' . $view, compact('person'))->render();
    }
}
