<?php

namespace Litecms\Person\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PersonTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Person\Models\Person $person)
    {
        return [
            'id'                => $person->getRouteKey(),
            'key'               => [
                'public'    => $person->getPublicKey(),
                'route'     => $person->getRouteKey(),
            ], 
            'persons'           => $person->persons,
            'url'               => [
                'public'    => trans_url('person/'.$person->getPublicKey()),
                'user'      => guard_url('person/person/'.$person->getRouteKey()),
            ], 
            'status'            => trans('app.'.$person->status),
            'created_at'        => format_date($person->created_at),
            'updated_at'        => format_date($person->updated_at),
        ];
    }
}